%define	Werror_cflags	%nil

%define	docname		kicad-doc
%define	symname		kicad-symbols
%define	p3dname		kicad-packages3D
%define	templname	kicad-templates
%define	fpname		kicad-footprints
%define	i18nname	kicad-i18n

%define	branch		5.0


Name:		kicad-doc
Summary:	An open source program for the creation of electronic schematic diagrams
Version:	5.1.6
Release:	%mkrel 1
License:	GPLv3+
Group:		Sciences/Computer science
Url:		http://kicad-pcb.org/
Source0:	%{name}-%{version}.tar.xz

BuildRequires:	wxgtk-devel >= 3.0
BuildRequires:	mesa-common-devel
BuildRequires:	imagemagick
BuildRequires:	boost-devel
BuildRequires:	glm-devel
BuildRequires:	lib64oce-devel
BuildRequires:	ngspice-devel
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(openssl) >= 1.1
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	cmake
# doc
BuildRequires:	po4a
BuildRequires:	asciidoc
BuildRequires:	git
BuildRequires:	perl(Unicode::LineBreak)
BuildRequires:	source-highlight
# python scripting
BuildRequires:	python-devel
BuildRequires:	lib64wxPython3.0-devel
BuildRequires:	swig

BuildRequires:	desktop-file-utils
Requires:	wxPython


%description
Kicad is an open source (GPL) program for the creation of electronic
schematic diagrams and printed circuit board artwork.

Kicad is a set of four programs and a project manager:

* Eeschema:	Schematic entry.
* Pcbnew:	Board editor.
* Gerbview:	GERBER viewer (photoplotter documents).
* Cvpcb:	footprint selector for components used in the circuit design.
* Kicad:	project manager.

%prep
%setup -q 

%build
export LC_ALL=C

	%cmake \
		-DCMAKE_BUILD_TYPE=Release -DBUILD_FORMATS=html
		
	%make_build

%install

    %make_install -C build


%files
/*
   

%changelog
* Thu Jun 11 2020 ghostbunny <ghostbunny at gmx dot de> 5.1.6-1pclos2020
- 5.1.6

* Wed Mar 20 2019 tex 5.1.0-1pclos2019
- new
